/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __GENGRID_VIEW_H__
#define __GENGRID_VIEW_H__

#include "model/app-manager-utils.h"

/**
 * @brief Create gengrid object
 * @param[in]   parent      Application window
 * @return      gengrid object
 */
Evas_Object *create_gengrid(Evas_Object *parent);

/**
 * @brief Create gengrid item from application information
 * @param[in]   gengrid     Gengrid
 * @param[in]   app_info    Application information
 * @return      gengrid item object
 */
Elm_Object_Item *append_item(Evas_Object *gengrid, app_info_h *app_info);

#endif /* __GENGRID_VIEW_H__ */
