/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __MAIN_VIEW_H__
#define __MAIN_VIEW_H__

#include <Elementary.h>

typedef struct
{
    window_obj *win;
    Evas_Object *gengrid;
    Eina_List *app_list;
} main_view_data;

/**
 * @brief   Create main view
 * @param[in]   app       Global app data
 * @param[in]   parent    Application conformant
 * @return      main layout
 */
Evas_Object *add_main_view(app_data *app, Evas_Object *parent);


#endif /* __MAIN_VIEW_H__ */
